## tarsnap-autoconf-1.0.30.tgz

=== keygen/Makefile ===
PROG	=	tarsnap-keygen
SRCS	=	keygen.c
WARNS	?=	6
LDADD	=	-lcrypto
CFLAGS	+=	-DUSERAGENT=\"${PROG}-${TARVERSION}\"
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-I ../tar

# Tarsnap library code
.if defined(PROFILE)
LDADD	+=	../lib/libtarsnap_p.a
${PROG}	:	../lib/libtarsnap_p.a
.else
LDADD	+=	../lib/libtarsnap.a
${PROG}	:	../lib/libtarsnap.a
.endif

# Client-server protocol layer
CFLAGS	+=	-I ../lib/netpacket

# Packet transport layer
CFLAGS	+=	-I ../lib/netproto

# Network layer
CFLAGS	+=	-I ../lib/network

# Data structures
CFLAGS	+=	-I ../lib/datastruct

# Cryptographic code
CFLAGS	+=	-I ../lib/crypto

# Keyfile handling code
CFLAGS	+=	-I ../lib/keyfile

# Utility code
CFLAGS	+=	-I ../lib/util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
.endif

.include <bsd.prog.mk>
